Name:           mu
Version:        1.0.0
Release:        1%{?dist}
Summary:        A simple Python editor not only for micro:bit
License:        GPLv3
URL:            https://github.com/mu-editor/mu
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(microfs) >= 1.3
BuildRequires:  python3dist(nudatus)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pyqtchart)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(qtconsole)
BuildRequires:  python3dist(semver)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(uflash)
# no dist provide for this:
BuildRequires:  python3-qt5
BuildRequires:  python3-qscintilla-qt5

BuildRequires:  systemd

BuildRequires:  qt5-qtserialport >= 5.5.0

BuildRequires:  %{_bindir}/desktop-file-install
BuildRequires:  %{_bindir}/xvfb-run

# we don't use python_enable_dependency_generator, because the versions are too strict
# and upstream's setup.py also has some arch hacks for Raspbian that might break the deps

Requires:       python3dist(appdirs)
Requires:       python3dist(gpiozero)
Requires:       python3dist(guizero)
Requires:       python3dist(matplotlib)
Requires:       python3dist(microfs) >= 1.3
Requires:       python3dist(nudatus)
Requires:       python3dist(pgzero)
Requires:       python3dist(pigpio)
Requires:       python3dist(pillow)
Requires:       python3dist(pycodestyle)
Requires:       python3dist(pyflakes)
Requires:       python3dist(pyqtchart)
Requires:       python3dist(pyserial)
Requires:       python3dist(qtconsole)
Requires:       python3dist(requests)
Requires:       python3dist(semver)
Requires:       python3dist(uflash)
# no dist provide for this:
Requires:       python3-qt5
Requires:       python3-qscintilla-qt5

Requires:       hicolor-icon-theme

%description
mu is a simple Python editor also for BBC micro:bit devices.

%prep
%setup -q

# unbundle things
sed -i 's/from mu.contrib import /import /' mu/modes/microbit.py tests/modes/test_microbit.py
rm -rf mu/contrib
sed -i "s@ 'mu.contrib',@@" setup.py
sed -i "s@mu.contrib.@@" tests/modes/test_microbit.py


%build
%py3_build


%install
%py3_install

mkdir -p %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/ \
         %{buildroot}%{_udevrulesdir} \
         %{buildroot}%{_metainfodir}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications conf/mu.codewith.editor.desktop
cp -p conf/mu.codewith.editor.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
cp -p conf/90-usb-microbit.rules %{buildroot}%{_udevrulesdir}/
cp -p conf/mu.appdata.xml %{buildroot}%{_metainfodir}/


%check
xvfb-run %{__python3} -m pytest -vv tests


%files
%doc README.rst LICENSE
%{_bindir}/mu-editor
%{python3_sitelib}/mu*
%{_udevrulesdir}/90-usb-microbit.rules
%{_datadir}/icons/hicolor/256x256/apps/mu.codewith.editor.png
%{_datadir}/applications/mu.codewith.editor.desktop
%{_metainfodir}/mu.appdata.xml


%changelog
* Tue Aug 14 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-1
- Update to 1.0.0 (#1387943)
- Move udev rules to /usr/lib/udev/rules.d (#1602361)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.13-3
- Rebuilt for Python 3.7

* Sun May 27 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.13-2
- Add missing requires (pyflakes, pep8) (#1582237)

* Tue Apr 10 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.13-1
- Updated to 0.9.13
- Unbundle things
- Run tests

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Apr 13 2016 Kushal Das <kushal@fedoraprojects.org> - 0.2-1
- Updates to 0.2 release

* Fri Feb 26 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-2
- Updates the desktop file creation

* Tue Feb 02 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-1
- Initial package creation
